<template>
  <div class="card-container">
    <h2>
      <img
        src="@/assets/icons/charts_statistics.svg"
        alt="Icône tableau statistiques"
      />
      Résumé
    </h2>
    <img
      v-if="thumbnailURL"
      class="card-thumbnail"
      :src="thumbnailURL"
      alt=""
    >
    <b-avatar
      v-else
      size="7rem"
    ></b-avatar>
    <h5>{{ organisation.display_name }}</h5>
    <span style="margin-bottom: 0.5em; font-weight: 600;">
      {{ organisation.usergroup.members_count > 0 ? organisation.usergroup.members_count : 'Aucun' }}
      {{ organisation.usergroup.members_count > 1 ? ' utilisateurs' : ' utilisateur' }}
    </span>
    <div v-if="usergroup.parents.length > 0">
      <span style="font-weight: 600;">
        Rattachée aux groupes suivants:
      </span>
      <ul>
        <li v-for="parent of parents" :key="parent.id">
          {{ parent.display_name }}
        </li>
      </ul>
    </div>
    <span v-else>
      Rattachée à aucun groupe d'organisations
    </span>
  </div>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: 'OrganisationCard',

  props: {
    organisation: {
      type: Object,
      default: () => { return {} }
    },
    usergroup: {
      type: Object,
      default: () => { return {} }
    }
  },

  data() {
    return {
    }
  },

  computed: {
    ...mapState('usergroups', [
      'usergroupsList'
    ]),
    parents() {
      return this.usergroupsList.filter(el => this.usergroup.parents.includes(el.id) )
    },
    thumbnailURL() {
      if (this.organisation.thumbnail) {
        return new URL(this.organisation.thumbnail.url, process.env.VUE_APP_DOMAIN);
      } else {
        return ''
      }
    }
  }
}
</script>

<style lang="less" scoped>

ul {
  list-style: square;
}

</style>
